[arch-commits] Commit in xf86-video-vesa/trunk (COPYING PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Jul 18 15:13:15 EDT 2008


    Date: Friday, July 18, 2008 @ 15:13:14
  Author: jgc
Revision: 5550

upgpkg: xf86-video-vesa 1.3.0-6
    Revert to 1.3.0

Added:
  xf86-video-vesa/trunk/COPYING
Modified:
  xf86-video-vesa/trunk/PKGBUILD

----------+
 COPYING  |   24 ++++++++++++++++++++++++
 PKGBUILD |   14 ++++++++------
 2 files changed, 32 insertions(+), 6 deletions(-)

Added: COPYING
===================================================================
--- COPYING	                        (rev 0)
+++ COPYING	2008-07-18 19:13:14 UTC (rev 5550)
@@ -0,0 +1,24 @@
+Copyright (c) 2000 by Conectiva S.A. (http://www.conectiva.com)
+
+Permission is hereby granted, free of charge, to any person obtaining a
+copy of this software and associated documentation files (the "Software"),
+to deal in the Software without restriction, including without limitation
+the rights to use, copy, modify, merge, publish, distribute, sublicense,
+and/or sell copies of the Software, and to permit persons to whom the
+Software is furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+ 
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
+CONECTIVA LINUX BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
+OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+SOFTWARE.
+
+Except as contained in this notice, the name of Conectiva Linux shall
+not be used in advertising or otherwise to promote the sale, use or other
+dealings in this Software without prior written authorization from
+Conectiva Linux.

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-18 19:08:00 UTC (rev 5549)
+++ PKGBUILD	2008-07-18 19:13:14 UTC (rev 5550)
@@ -2,8 +2,8 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xf86-video-vesa
-pkgver=2.0.0
-pkgrel=1
+pkgver=1.3.0
+pkgrel=6
 pkgdesc="X.org vesa video driver"
 arch=(i686 x86_64)
 license=('custom')
@@ -11,9 +11,11 @@
 depends=('glibc')
 makedepends=('pkgconfig' 'xorg-server>=1.4.2')
 groups=('xorg' 'xorg-video-drivers')
-options=('!libtool')
-source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('433cf6f961eb4a2ab6fcb086def0b2b4')
+options=('!libtool' 'force')
+source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2
+	COPYING)
+md5sums=('4a307852f3b4850e436a41dab2a73676'
+         'e5418e7a75e21268637984e70265e146')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
@@ -21,5 +23,5 @@
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
   install -d -m755 ${pkgdir}/usr/share/licenses/${pkgname}
-  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
+  install -m644 ${srcdir}/COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }





More information about the arch-commits mailing list